# Custom Poling

The `custom_poling` module can be used to design the domain configuration of a nonlinear crystal to approximate a desired phase-matching function. 

## Installation

Install via pip:

```bash
pip install custom-poling
```

## Examples and related material

For guidance on how to use the module, check out the jupyter notebooks and python scripts in the `examples` directory. 

The directory also contains the following supporting material:
|Publication|Supporting material|
| -------- | ---------------- |
|Drago, Christian, and Agata M. Brańczyk. "[Tunable frequency-bin multimode squeezed vacuum states of light.](https://journals.aps.org/pra/abstract/10.1103/PhysRevA.106.043714)" Physical Review A 106.4 (2022): 043714.|[jupyter notebook](/examples/Phys.%20Rev.%20A%20106,%20043714%20-%20Tunable%20frequency-bin%20multimode%20squeezed%20vacuum%20states%20of%20light.ipynb)|
|Drago, Christian, and Agata M. Brańczyk. "[Tunable frequency-bin multi-mode squeezed states of light.](https://arxiv.org/abs/2204.10079)" arXiv preprint arXiv:2204.10079 (2022).|[jupyter notebook](/examples/arXiv%202204.10079%20-%20Tunable%20frequency-bin%20multi-mode%20squeezed%20states%20of%20light.ipynb)|

## References

This module is based on the theory described in [this paper](https://iopscience.iop.org/article/10.1088/2058-9565/aa78d4):
>Francesco Graffitti, Dmytro Kundys, Derryck T Reid, Agata M Brańczyk and Alessandro Fedrizzi, "[Pure down-conversion photons through sub-coherence-length domain engineering.](https://iopscience.iop.org/article/10.1088/2058-9565/aa78d4)" Quantum Science and Technology 2.3 (2017): 035001.

If you use `custom-poling` in your research, please cite the above paper and link to this repo. 